import { NgZone } from '@angular/core';
import { AnyExtension } from '@tiptap/core';
import { LinkOptions } from '@tiptap/extension-link';
import { TipDialogService } from '../../services/dialog.service';
import { TiptapEventService } from '../../services/tiptap-event.service';
import { TipBaseExtension } from '../tip-base-extension';
export interface NgxLinkOptions {
    native: Partial<LinkOptions>;
    ng: Partial<{
        popupText: string;
        inputPlaceholder: string;
    }>;
}
export declare class NgxLink extends TipBaseExtension<NgxLinkOptions> {
    private dialogService;
    protected eventService: TiptapEventService;
    private ngZone;
    private document;
    defaultOptions: Partial<NgxLinkOptions>;
    private dialogRef;
    private tooltipRef;
    private linkElement;
    constructor(dialogService: TipDialogService, eventService: TiptapEventService, ngZone: NgZone, document: Document);
    createExtension(extensionOptions: NgxLinkOptions): AnyExtension;
    onEditorReady(): void;
    onEditorDestroy(): void;
    openLinkDialog(): Promise<void>;
    can(): Promise<boolean>;
    isActive(): Promise<boolean>;
    private toggleLinkPreview;
    private getLinkElement;
    private closeLinkPreview;
}
