import type { Editor } from '@tiptap/core';
import { MonoTypeOperatorFunction, Observable } from 'rxjs';
import { EditorEvent, EditorEventReturn, HeadingsExtension } from './models/types';
export declare const getHeadingsExtension: (editor: Editor) => HeadingsExtension;
export declare const sleep: (ms: number) => Promise<unknown>;
export declare const fromEditorEvent: <T extends EditorEvent>(editor: Editor, event: T, once?: boolean) => Observable<EditorEventReturn[T]>;
export declare const asyncFilter: <T>(predicate: (value: T, index: number) => Promise<boolean>) => MonoTypeOperatorFunction<T>;
export declare const getSelectedTextPosition: () => null | DOMRect;
export declare const topCenterOfRect: (rect: DOMRect) => {
    x: number;
    y: number;
};
export declare const getDuplicates: <T>(list: T[], getKey: (item: T) => string) => {
    [key: string]: T[];
} | null;
export declare const isObject: (o: any) => boolean;
export declare const deepMerge: <T extends Record<string | number, any>>(target: T, source: Record<any, any>) => T;
